commit:     4677ce59e1f05f6083343a2bda59129414811ece
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  1 09:55:17 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct  1 09:56:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4677ce59

dev-ruby/actionpack: add 7.0.4

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/actionpack/Manifest                |  1 +
 dev-ruby/actionpack/actionpack-7.0.4.ebuild | 66 +++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
index 711b4d9a5e50..9f762044e7d8 100644
--- a/dev-ruby/actionpack/Manifest
+++ b/dev-ruby/actionpack/Manifest
@@ -2,3 +2,4 @@ DIST rails-5.2.8.1.tgz 8848345 BLAKE2B 
6786359e6c519e98079dc6f87a1ad23a69e7b65d2
 DIST rails-6.0.5.1.tgz 18607954 BLAKE2B 
74f75399a287f1eae199a5764c952b75dd95a02c88899ade69d60acae00a7588b2f3a8ab3b9d2c9224d62f87305c596e16b196a5c32b19731d4415f17a29d38e
 SHA512 
a65c3fab39eadba75e0107486c82a4da212e612ddb2350f77bb00ad887e0b52980edba08d42c02801c4e4fd71d750de3dbd78c820ef050016867737dccc06b36
 DIST rails-6.1.6.1.tgz 11028264 BLAKE2B 
568033eb816613ba0ba5f2df38e6a30158b2e31ef4d4da151f8c0de2934b07736833026793ce9192994d9ef2a2a45b67735a35760c1be8b8a68c1968147cc6db
 SHA512 
04acf9dbf5ee734636aada67be001690899eb13f73ea688455fcaee8cbf4839aedf06943c8adb5eecf13fd9a5f6be1a225310aa481d3a254172fd0ce0402362f
 DIST rails-7.0.3.1.tgz 11049683 BLAKE2B 
31aa9c20b4add7e11b832aff57fcf78284b7f28e71cfc71b5769c65170f1fff3f33d73224bbfa826852a59aac30671ff7c3ef19cbe0aaabc8528a805c6b98e8a
 SHA512 
2ad615df9e019193489d5ce82152fd0ff12d8435401258b2b8a87d1c5da46587cdd45dc483847891f7b8be1d019b09b77a48fa7849d5260ee6fdbbf6df64ef03
+DIST rails-7.0.4.tgz 11061225 BLAKE2B 
9c520766f936c82ae9ee943c3db0ad575d7fc59aea947fb2790cf511188fbd33166a62332564c4714372203f5fabdde842334103b48f4115c31f5d0fe18375f1
 SHA512 
118035226054ad5083d2affde55a812917652491f82a9a578380a790770fdda3a14904f6de10f58651bbbab278aa23920b652aa1b34c71441d465c3b7b4be82c

diff --git a/dev-ruby/actionpack/actionpack-7.0.4.ebuild 
b/dev-ruby/actionpack/actionpack-7.0.4.ebuild
new file mode 100644
index 000000000000..7961d0d604ae
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-7.0.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/activesupport-${PV}
+       ~dev-ruby/actionview-${PV}
+       dev-ruby/rack:2.2
+       >=dev-ruby/rack-test-0.6.3:*
+       >=dev-ruby/rails-html-sanitizer-1.2.0:1
+       dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/mocha:0.14
+               dev-ruby/bundler
+               >=dev-ruby/capybara-2.15
+               ~dev-ruby/activemodel-${PV}
+               ~dev-ruby/railties-${PV}
+               dev-ruby/selenium-webdriver:4
+               www-servers/puma
+               <dev-ruby/minitest-5.16:5
+       )"
+
+all_ruby_prepare() {
+       eapply "${FILESDIR}/${P}-rack-test-2.patch"
+
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+       rm ../Gemfile.lock || die
+
+       # Use different timezone notation, this changed at some point due to an 
external dependency changing.
+       sed -i -e 's/-0000/GMT/' test/dispatch/response_test.rb 
test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+
+       # Avoid tests with rack-cache since it is not ready for ruby31
+       # >=dev-ruby/rack-cache-1.2:1.2
+       rm -f test/dispatch/rack_cache_test.rb || die
+}

Reply via email to